Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155638 - rescue cd kernel seems to ignore acpi cutoff date
Summary: rescue cd kernel seems to ignore acpi cutoff date
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 03:32 UTC by Jason Hoover
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-01 07:13:47 UTC


Attachments (Terms of Use)

Description Jason Hoover 2005-04-22 03:32:43 UTC
Description of problem:

The kernel included in the rescue cd seems to ignore the so-called "cutoff date"
for acpi bioses (2001, I believe). Having such a machine (an older, crappy HP) I
can verify that this can cause problems when using anaconda from that cd to do a
network install (it freezes when trying to access the IDE HD certain ways).
Futhermore it works fine without the "noacpi" option passed.

Also, it'd be nice if some more kernel options were doccumented in the f1 menus,
but, that's more of an enhancement.

How reproducible:

Every time.

Steps to Reproduce:
1. Run "linux" from rescue cd and start anaconda without "noacpi" passed to
kernel at boot.
2. Watch anaconda die.
3. Do it with "noacpi" and watch it work.
  
Actual results:

Installer halts.

Expected results:

Use ACPI "Cutoff date" and disable ACPI.

PS: I appologize in advance if I have submit this to the wrong component.

Comment 1 Dave Jones 2005-04-28 21:19:48 UTC
The cutoff date is for machines older than 2001. If yours is made in 2001 and is
broken, it needs specific blacklisting. Please send the output of dmidecode.


Comment 2 Jason Hoover 2005-04-28 22:14:49 UTC
Hmm, no, this isn't the issue. It's bios date is 2000.

In fact, the kernel that's installed (which is from the devel branch) works
perfectly, I think I may have run into this exact problem with FC3's rescue disc
as well.

The only problem I'm having is on the FC4-test2 rescue cd. Normal rescue mode
works for some odd reason, but I see nothing in dmesg about the cutoff date, and
the ACPI stuff seems to load just fine. When using the graphical installer
(which loads X of course) after specifying only "linux" at the boot prompt, I
notice no "ACPI Cutoff date" warning and it will reliably freeze when trying to
either "Find installations" or format.

When I specify "linux noacpi" it works just fine.

I think it's ignoring the cut off date (old kernel version?) and the problem
remains unnoticable until X is running.

Comment 3 Dave Jones 2005-04-29 01:15:02 UTC
theres no way other than random memory being bitflipped that the cut off date
can be ignored.

The noacpi thing is odd, as disabling acpi is done with 'acpi=off'
Jeremy, is 'noacpi' an anaconda thing to stop the modules being loaded ?


Comment 4 Jason Hoover 2005-04-29 02:15:57 UTC
D'oh! Nothing to see here, move along.

I can't seem to reproduce it anymore. Must have been a hardware problem combined
with user stupidity and unscrupulous timing. And yes, upon closer inspection it
does seem to obey the cutoff.

I have seen noacpi floating around on it's own before, but that might just be
other people making the same mistake. 

Feel free to flog, grapeshot, or keelhaul accordingly.


Note You need to log in before you can comment on or make changes to this bug.